libnvme(2)

NAME
enum nvmf_rdma_prtype - RDMA Provider Type codes for Discovery Log Page entry TSAS RDMA_PRTYPE field

SYNOPSIS
enum nvmf_rdma_prtype {
NVMF_RDMA_PRTYPE_NOT_SPECIFIED ,
NVMF_RDMA_PRTYPE_IB ,
NVMF_RDMA_PRTYPE_ROCE ,
NVMF_RDMA_PRTYPE_ROCEV2 ,
NVMF_RDMA_PRTYPE_IWARP

};

Constants

NVMF_RDMA_PRTYPE_NOT_SPECIFIED
    No Provider Specified

NVMF_RDMA_PRTYPE_IB
    InfiniBand

NVMF_RDMA_PRTYPE_ROCE
    InfiniBand RoCE

NVMF_RDMA_PRTYPE_ROCEV2
    InfiniBand RoCEV2

NVMF_RDMA_PRTYPE_IWARP
    iWARP